> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Insurance Additional Information API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Insurance Additional Information Records

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "count_only": true
}
```

### List All Insurance Additional Information Records

```json theme={null}
{
  "module": "insurance_additional_information__c"
}
```

### List Insurance Additional Information Records with Specific Fields

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "account__c",
      "naic_company_number__c",
      "data_year__c",
      "data_quarter__c",
      "state_of_domicile_or_port_of_entry__c",
      "country_of_domicile__c",
      "total_net_admitted_assets__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter by Account

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0016O00003gCXpxQAG"
        }
      }
    ]
  }
}
```

### Filter by NAIC Company Number

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "naic_company_number__c": {
          "$equals": "15648"
        }
      }
    ],
    "fields": ["sfid", "name", "naic_company_number__c", "data_year__c", "data_quarter__c"]
  }
}
```

### Filter by Data Year and Quarter

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "data_year__c": {
          "$equals": "2022"
        }
      },
      {
        "data_quarter__c": {
          "$equals": "Q4"
        }
      }
    ]
  }
}
```

### Filter by State of Domicile

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "state_of_domicile_or_port_of_entry__c": {
          "$equals": "UT"
        }
      }
    ]
  }
}
```

### Filter by Name

```json theme={null}
{
  "module": "insurance_additional_information__c",
  "filters": {
    "filter": [
      {
        "name": {
          "$contains": "Health Ins"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````